#!/usr/bin/gnuplot

set colors classic
set term x11

set xl "D [km]"
set yl "N dN"

set xr [0.001:]
set yr [0.8:]
set mxtics 10
set ytics 10
set mytics 10
set logscale xy

set style line 1 lt 1
set style line 2 lt 3
set style line 3 lt 5
set style line 4 lt 7

tmp=100; set arrow from tmp,graph 0 to tmp,graph 1 lt 0
tmp= 15; set arrow from tmp,graph 0 to tmp,graph 1 lt 0
tmp=  3; set arrow from tmp,graph 0 to tmp,graph 1 lt 0

p "<awk '(NR>1)' sfd1.dat | ./hc_sfd.awk"        not w l  ls 1,\
  "<awk '(NR>1)' sfd1.dat_EDITED | ./hc_sfd.awk"     w lp ls 1 lw 2,\
  "<awk '(NR>1)' sfd2.dat | ./hc_sfd.awk"        not w l  ls 2,\
  "<awk '(NR>1)' sfd2.dat_EDITED | ./hc_sfd.awk"     w lp ls 2 lw 2,\
  "<awk '(NR>1)' sfd3.dat | ./hc_sfd.awk"        not w l  ls 3,\
  "<awk '(NR>1)' sfd3.dat_EDITED | ./hc_sfd.awk"     w lp ls 3 lw 2,\
  "MB_2018.dat_hc"                                   w l  ls 4,\
  "1272_Gefion_family.dat_hc"                        w lp ls 4,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) w l dt 2,\

pa -1

set term png small
set out "gen_sfd.png"
rep


q
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../../MB/[0-9]*/tmp/4000.out | ./hc.awk" u 1:2 t "evolved MB" w l,\

  "../Cibulkova_etal_2014_MB.dat_hc"                 w l,\
  "../Gladman_etal_2009.dat" u (10.**$1):(10.**$2)   w l dt 2

