#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 0.00"
set nolabel
set label "t = 0.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0000.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0000.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0000.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0010.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 10.00"
set nolabel
set label "t = 10.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0010.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0010.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0010.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0020.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 20.00"
set nolabel
set label "t = 20.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0020.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0020.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0020.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0030.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 30.00"
set nolabel
set label "t = 30.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0030.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0030.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0030.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0040.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 40.00"
set nolabel
set label "t = 40.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0040.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0040.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0040.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0050.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 50.00"
set nolabel
set label "t = 50.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0050.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0050.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0050.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0060.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 60.00"
set nolabel
set label "t = 60.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0060.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0060.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0060.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0070.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 70.00"
set nolabel
set label "t = 70.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0070.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0070.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0070.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0080.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 80.00"
set nolabel
set label "t = 80.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0080.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0080.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0080.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0090.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 90.00"
set nolabel
set label "t = 90.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0090.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0090.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0090.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0100.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 100.00"
set nolabel
set label "t = 100.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0100.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0100.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0100.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0110.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 110.00"
set nolabel
set label "t = 110.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0110.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0110.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0110.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0120.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 120.00"
set nolabel
set label "t = 120.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0120.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0120.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0120.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0130.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 130.00"
set nolabel
set label "t = 130.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0130.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0130.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0130.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0140.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 140.00"
set nolabel
set label "t = 140.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0140.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0140.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0140.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0150.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 150.00"
set nolabel
set label "t = 150.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0150.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0150.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0150.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0160.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 160.00"
set nolabel
set label "t = 160.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0160.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0160.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0160.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0170.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 170.00"
set nolabel
set label "t = 170.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0170.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0170.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0170.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0180.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 180.00"
set nolabel
set label "t = 180.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0180.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0180.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0180.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0190.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 190.00"
set nolabel
set label "t = 190.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0190.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0190.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0190.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0200.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 200.00"
set nolabel
set label "t = 200.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0200.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0200.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0200.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0210.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 210.00"
set nolabel
set label "t = 210.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0210.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0210.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0210.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0220.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 220.00"
set nolabel
set label "t = 220.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0220.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0220.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0220.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0230.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 230.00"
set nolabel
set label "t = 230.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0230.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0230.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0230.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0240.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 240.00"
set nolabel
set label "t = 240.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0240.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0240.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0240.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0250.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 250.00"
set nolabel
set label "t = 250.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0250.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0250.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0250.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0260.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 260.00"
set nolabel
set label "t = 260.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0260.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0260.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0260.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0270.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 270.00"
set nolabel
set label "t = 270.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0270.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0270.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0270.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0280.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 280.00"
set nolabel
set label "t = 280.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0280.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0280.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0280.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0290.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 290.00"
set nolabel
set label "t = 290.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0290.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0290.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0290.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0300.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 300.00"
set nolabel
set label "t = 300.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0300.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0300.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0300.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0310.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 310.00"
set nolabel
set label "t = 310.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0310.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0310.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0310.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0320.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 320.00"
set nolabel
set label "t = 320.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0320.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0320.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0320.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0330.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 330.00"
set nolabel
set label "t = 330.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0330.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0330.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0330.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0340.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 340.00"
set nolabel
set label "t = 340.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0340.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0340.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0340.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0350.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 350.00"
set nolabel
set label "t = 350.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0350.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0350.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0350.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0360.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 360.00"
set nolabel
set label "t = 360.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0360.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0360.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0360.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0370.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 370.00"
set nolabel
set label "t = 370.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0370.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0370.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0370.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0380.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 380.00"
set nolabel
set label "t = 380.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0380.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0380.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0380.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0390.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 390.00"
set nolabel
set label "t = 390.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0390.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0390.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0390.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0400.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 400.00"
set nolabel
set label "t = 400.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0400.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0400.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0400.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0410.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 410.00"
set nolabel
set label "t = 410.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0410.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0410.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0410.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0420.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 420.00"
set nolabel
set label "t = 420.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0420.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0420.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0420.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0430.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 430.00"
set nolabel
set label "t = 430.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0430.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0430.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0430.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0440.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 440.00"
set nolabel
set label "t = 440.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0440.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0440.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0440.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0450.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 450.00"
set nolabel
set label "t = 450.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0450.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0450.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0450.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0460.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 460.00"
set nolabel
set label "t = 460.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0460.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0460.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0460.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0470.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 470.00"
set nolabel
set label "t = 470.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0470.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0470.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0470.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0480.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 480.00"
set nolabel
set label "t = 480.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0480.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0480.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0480.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0490.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 490.00"
set nolabel
set label "t = 490.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0490.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0490.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0490.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0500.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 500.00"
set nolabel
set label "t = 500.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0500.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0500.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0500.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0510.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 510.00"
set nolabel
set label "t = 510.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0510.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0510.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0510.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0520.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 520.00"
set nolabel
set label "t = 520.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0520.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0520.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0520.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0530.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 530.00"
set nolabel
set label "t = 530.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0530.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0530.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0530.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0540.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 540.00"
set nolabel
set label "t = 540.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0540.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0540.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0540.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0550.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 550.00"
set nolabel
set label "t = 550.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0550.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0550.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0550.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0560.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 560.00"
set nolabel
set label "t = 560.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0560.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0560.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0560.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0570.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 570.00"
set nolabel
set label "t = 570.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0570.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0570.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0570.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0580.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 580.00"
set nolabel
set label "t = 580.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0580.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0580.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0580.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0590.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 590.00"
set nolabel
set label "t = 590.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0590.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0590.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0590.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0600.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 600.00"
set nolabel
set label "t = 600.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0600.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0600.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0600.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0610.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 610.00"
set nolabel
set label "t = 610.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0610.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0610.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0610.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0620.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 620.00"
set nolabel
set label "t = 620.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0620.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0620.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0620.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0630.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 630.00"
set nolabel
set label "t = 630.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0630.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0630.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0630.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0640.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 640.00"
set nolabel
set label "t = 640.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0640.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0640.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0640.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0650.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 650.00"
set nolabel
set label "t = 650.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0650.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0650.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0650.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0660.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 660.00"
set nolabel
set label "t = 660.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0660.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0660.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0660.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0670.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 670.00"
set nolabel
set label "t = 670.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0670.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0670.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0670.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0680.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 680.00"
set nolabel
set label "t = 680.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0680.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0680.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0680.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0690.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 690.00"
set nolabel
set label "t = 690.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0690.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0690.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0690.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0700.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 700.00"
set nolabel
set label "t = 700.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0700.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0700.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0700.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0710.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 710.00"
set nolabel
set label "t = 710.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0710.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0710.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0710.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0720.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 720.00"
set nolabel
set label "t = 720.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0720.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0720.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0720.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0730.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 730.00"
set nolabel
set label "t = 730.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0730.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0730.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0730.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0740.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 740.00"
set nolabel
set label "t = 740.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0740.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0740.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0740.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0750.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 750.00"
set nolabel
set label "t = 750.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0750.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0750.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0750.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0760.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 760.00"
set nolabel
set label "t = 760.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0760.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0760.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0760.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0770.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 770.00"
set nolabel
set label "t = 770.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0770.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0770.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0770.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0780.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 780.00"
set nolabel
set label "t = 780.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0780.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0780.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0780.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0790.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 790.00"
set nolabel
set label "t = 790.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0790.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0790.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0790.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0800.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 800.00"
set nolabel
set label "t = 800.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0800.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0800.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0800.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0810.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 810.00"
set nolabel
set label "t = 810.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0810.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0810.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0810.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0820.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 820.00"
set nolabel
set label "t = 820.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0820.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0820.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0820.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0830.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 830.00"
set nolabel
set label "t = 830.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0830.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0830.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0830.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0840.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 840.00"
set nolabel
set label "t = 840.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0840.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0840.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0840.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0850.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 850.00"
set nolabel
set label "t = 850.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0850.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0850.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0850.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0860.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 860.00"
set nolabel
set label "t = 860.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0860.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0860.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0860.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0870.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 870.00"
set nolabel
set label "t = 870.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0870.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0870.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0870.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0880.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 880.00"
set nolabel
set label "t = 880.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0880.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0880.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0880.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0890.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 890.00"
set nolabel
set label "t = 890.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0890.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0890.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0890.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0900.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 900.00"
set nolabel
set label "t = 900.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0900.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0900.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0900.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0910.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 910.00"
set nolabel
set label "t = 910.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0910.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0910.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0910.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0920.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 920.00"
set nolabel
set label "t = 920.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0920.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0920.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0920.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0930.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 930.00"
set nolabel
set label "t = 930.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0930.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0930.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0930.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0940.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 940.00"
set nolabel
set label "t = 940.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0940.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0940.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0940.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0950.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 950.00"
set nolabel
set label "t = 950.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0950.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0950.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0950.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0960.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 960.00"
set nolabel
set label "t = 960.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0960.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0960.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0960.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0970.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 970.00"
set nolabel
set label "t = 970.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0970.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0970.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0970.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0980.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 980.00"
set nolabel
set label "t = 980.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0980.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0980.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0980.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0990.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 990.00"
set nolabel
set label "t = 990.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0990.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0990.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0990.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1000.00"
set nolabel
set label "t = 1000.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1000.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1000.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1000.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1010.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1010.00"
set nolabel
set label "t = 1010.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1010.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1010.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1010.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1020.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1020.00"
set nolabel
set label "t = 1020.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1020.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1020.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1020.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1030.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1030.00"
set nolabel
set label "t = 1030.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1030.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1030.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1030.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1040.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1040.00"
set nolabel
set label "t = 1040.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1040.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1040.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1040.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1050.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1050.00"
set nolabel
set label "t = 1050.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1050.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1050.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1050.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1060.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1060.00"
set nolabel
set label "t = 1060.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1060.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1060.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1060.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1070.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1070.00"
set nolabel
set label "t = 1070.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1070.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1070.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1070.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1080.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1080.00"
set nolabel
set label "t = 1080.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1080.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1080.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1080.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1090.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1090.00"
set nolabel
set label "t = 1090.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1090.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1090.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1090.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1100.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1100.00"
set nolabel
set label "t = 1100.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1100.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1100.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1100.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1110.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1110.00"
set nolabel
set label "t = 1110.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1110.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1110.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1110.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1120.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1120.00"
set nolabel
set label "t = 1120.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1120.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1120.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1120.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1130.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1130.00"
set nolabel
set label "t = 1130.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1130.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1130.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1130.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1140.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1140.00"
set nolabel
set label "t = 1140.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1140.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1140.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1140.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1150.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1150.00"
set nolabel
set label "t = 1150.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1150.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1150.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1150.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1160.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1160.00"
set nolabel
set label "t = 1160.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1160.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1160.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1160.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1170.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1170.00"
set nolabel
set label "t = 1170.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1170.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1170.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1170.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1180.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1180.00"
set nolabel
set label "t = 1180.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1180.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1180.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1180.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1190.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1190.00"
set nolabel
set label "t = 1190.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1190.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1190.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1190.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1200.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1200.00"
set nolabel
set label "t = 1200.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1200.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1200.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1200.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1210.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1210.00"
set nolabel
set label "t = 1210.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1210.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1210.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1210.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1220.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1220.00"
set nolabel
set label "t = 1220.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1220.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1220.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1220.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1230.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1230.00"
set nolabel
set label "t = 1230.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1230.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1230.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1230.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1240.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1240.00"
set nolabel
set label "t = 1240.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1240.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1240.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1240.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1250.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1250.00"
set nolabel
set label "t = 1250.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1250.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1250.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1250.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1260.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1260.00"
set nolabel
set label "t = 1260.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1260.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1260.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1260.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1270.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1270.00"
set nolabel
set label "t = 1270.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1270.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1270.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1270.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1280.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1280.00"
set nolabel
set label "t = 1280.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1280.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1280.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1280.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1290.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1290.00"
set nolabel
set label "t = 1290.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1290.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1290.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1290.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1300.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1300.00"
set nolabel
set label "t = 1300.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1300.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1300.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1300.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1310.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1310.00"
set nolabel
set label "t = 1310.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1310.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1310.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1310.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1320.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1320.00"
set nolabel
set label "t = 1320.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1320.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1320.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1320.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1330.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1330.00"
set nolabel
set label "t = 1330.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1330.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1330.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1330.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1340.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1340.00"
set nolabel
set label "t = 1340.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1340.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1340.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1340.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1350.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1350.00"
set nolabel
set label "t = 1350.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1350.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1350.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1350.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1360.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1360.00"
set nolabel
set label "t = 1360.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1360.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1360.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1360.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1370.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1370.00"
set nolabel
set label "t = 1370.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1370.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1370.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1370.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1380.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1380.00"
set nolabel
set label "t = 1380.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1380.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1380.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1380.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1390.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1390.00"
set nolabel
set label "t = 1390.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1390.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1390.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1390.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1400.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1400.00"
set nolabel
set label "t = 1400.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1400.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1400.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1400.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1410.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1410.00"
set nolabel
set label "t = 1410.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1410.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1410.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1410.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1420.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1420.00"
set nolabel
set label "t = 1420.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1420.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1420.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1420.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1430.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1430.00"
set nolabel
set label "t = 1430.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1430.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1430.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1430.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1440.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1440.00"
set nolabel
set label "t = 1440.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1440.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1440.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1440.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1450.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1450.00"
set nolabel
set label "t = 1450.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1450.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1450.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1450.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1460.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1460.00"
set nolabel
set label "t = 1460.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1460.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1460.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1460.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1470.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1470.00"
set nolabel
set label "t = 1470.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1470.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1470.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1470.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1480.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1480.00"
set nolabel
set label "t = 1480.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1480.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1480.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1480.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1490.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1490.00"
set nolabel
set label "t = 1490.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1490.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1490.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1490.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_1500.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset +1

set xr [0.001:1000]
y1=0.8
y2=1.e13
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10
set grid ytics

print "t = 1500.00"
set nolabel
set label "t = 1500.00 My" at graph 0.05,graph 0.15

tmp=1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

set style line 4 lc 'orange'  lw 1 pt 1	dt 2 # initial
set style line 1 lc 'blue'    lw 1 pt 1	dt 1 # evolved MB
set style line 2 lc '#aaaa00' lw 1 pt 1	dt 1 # evolved Gefion
set style line 3 lc 'cyan'    lw 1 pt 1	dt 1 # evolved NEA
set style line 5 lc 'gray'    lw 1 pt 1	dt 2 # observed

p \
  "<./hc_sfd.awk sfd1.dat_EDITED" u 1:2 t "initial MB"    w l ls 4,\
  "<./hc_sfd.awk sfd2.dat_EDITED" u 1:2 t "initial Gefion" w l ls 4,\
  "<./hc_sfd.awk sfd3.dat_EDITED" u 1:2 t "initial NEA"   w l ls 4,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/1500.out | ./hc.awk" u 1:2 t "evolved MB"    w lp ls 1,\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/1500.out | ./hc.awk" u 1:2 t "evolved Gefion" w lp ls 2,\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/1500.out | ./hc.awk" u 1:2 t "evolved NEA"   w lp ls 3,\
  "../src/MB_2018.dat_hc" u 1:2 t "observed MB" w l ls 5 lw 2,\
  "../src/1272_Gefion_family.dat_hc" u 1:2 t "observed Gefion" w l ls 5 lw 2,\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w l ls 5,\
  "<awk '($1>-1) && ($1<0.2)' ../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w l ls 5,\
  "../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w l ls 5



